# Get audit log for specific policy

> 🔒 **Private label — [contact sales](mailto:sales@boyahq.com).** Requires a private-label entitlement on your API client.

Get audit log for specific policy

Endpoint: GET /wallet-policies/{policyId}/audit
Version: 2.0.0
Security: oauth2ClientCredentials

## Path parameters:

  - `policyId` (string, required)
    Policy ID

## Header parameters:

  - `business_id` (string, required)
    Business identifier for the request

## Response 200 fields (application/json):

  - `docs` (array, required)
    List of audit log entries

  - `docs._id` (string, required)
    Audit log MongoDB ID

  - `docs.policy_id` (string, required)
    Policy ID

  - `docs.wallet_id` (string, required)
    Wallet ID

  - `docs.action` (string, required)
    Action performed
    Enum: "GRANTED", "MODIFIED", "SUSPENDED", "REVOKED", "EXPIRED", "REACTIVATED"

  - `docs.performed_by` (object)
    Employee who performed the action

  - `docs.changes` (object)
    Changes made

  - `docs.reason` (string)
    Reason for the action

  - `docs.ip_address` (string)
    IP address of the request

  - `docs.user_agent` (string)
    User agent of the request

  - `docs.createdAt` (string, required)
    Timestamp of the action

  - `docs.updatedAt` (string)
    Last update timestamp

  - `total` (number, required)
    Total count

  - `page` (number, required)
    Current page

  - `limit` (number, required)
    Items per page

  - `pages` (number, required)
    Total pages

